org.apache.cassandra.cql3.statements

## Class CreateColumnFamilyStatement

- java.lang.Object
- - org.apache.cassandra.cql3.statements.ParsedStatement
  - - org.apache.cassandra.cql3.statements.CFStatement
    - - org.apache.cassandra.cql3.statements.SchemaAlteringStatement
      - - org.apache.cassandra.cql3.statements.CreateColumnFamilyStatement

- All Implemented Interfaces:
    CQLStatement

      public class CreateColumnFamilyStatement
      extends SchemaAlteringStatement

  A `CREATE COLUMNFAMILY` parsed from a CQL query statement.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CreateColumnFamilyStatement.RawStatement`

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.statements.ParsedStatement

      `ParsedStatement.Prepared`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `AbstractType<?>` | `comparator`

    - ### Fields inherited from class org.apache.cassandra.cql3.statements.CFStatement

      `cfName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CreateColumnFamilyStatement(CFName name, CFPropDefs properties)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `announceMigration()`
    `void` | `applyPropertiesTo(CFMetaData cfmd)`
    `ResultMessage.SchemaChange.Change` | `changeType()`
    `void` | `checkAccess(ClientState state)` Perform any access verification necessary for the statement.
    `CFMetaData` | `getCFMetaData()` Returns a CFMetaData instance based on the parameters parsed from this `CREATE` statement, or defaults where applicable.

    - ### Methods inherited from class org.apache.cassandra.cql3.statements.SchemaAlteringStatement

      `execute, executeInternal, prepare, prepareKeyspace, validate`

    - ### Methods inherited from class org.apache.cassandra.cql3.statements.CFStatement

      `columnFamily, keyspace`

    - ### Methods inherited from class org.apache.cassandra.cql3.statements.ParsedStatement

      `getBoundTerms, setBoundTerms`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.cql3.CQLStatement

      `getBoundTerms`

- - ### Field Detail

    - #### comparator

          public AbstractType<?> comparator

  - ### Constructor Detail

    - #### CreateColumnFamilyStatement

          public CreateColumnFamilyStatement(CFName name,
                                     CFPropDefs properties)

  - ### Method Detail

    - #### checkAccess

          public void checkAccess(ClientState state)
                           throws UnauthorizedException,
                                  InvalidRequestException

      Description copied from interface: `CQLStatement`
      Perform any access verification necessary for the statement.
      Parameters:
        `state` - the current client state
      Throws:
        `UnauthorizedException`
        `InvalidRequestException`

    - #### announceMigration

          public void announceMigration()
                                 throws RequestValidationException

      Specified by:
        `announceMigration` in class `SchemaAlteringStatement`
      Throws:
        `RequestValidationException`

    - #### changeType

          public ResultMessage.SchemaChange.Change changeType()

      Specified by:
        `changeType` in class `SchemaAlteringStatement`

    - #### getCFMetaData

          public CFMetaData getCFMetaData()
                                   throws RequestValidationException

      Returns a CFMetaData instance based on the parameters parsed from this `CREATE` statement, or defaults where applicable.
      Returns:
        a CFMetaData instance corresponding to the values parsed from this statement
      Throws:
        `InvalidRequestException` - on failure to validate parsed parameters
        `RequestValidationException`

    - #### applyPropertiesTo

          public void applyPropertiesTo(CFMetaData cfmd)
                                 throws RequestValidationException

      Throws:
        `RequestValidationException`

Copyright © 2014 The Apache Software Foundation